import { AddReq, DelReq, EditReq, UserPageQuery } from '@fast-crud/fast-crud';
import { request } from '/@/utils/service';

export const apiPrefix = '/api/ad_manage/sd-match-target/report/';
export function GetList(query: UserPageQuery) {
    return request({
        url: apiPrefix + 'list',
        method: 'get',
        params: query,
    })
}
export function GetObj(id: any) {
    return request({
        url: apiPrefix + id + "/",
        method: 'get',
    });
}

export function AddObj(obj: AddReq) {
    return request({
        url: apiPrefix,
        method: 'post',
        data: obj,
    });
}

export function UpdateObj(obj: EditReq) {
    return request({
        url: apiPrefix + obj.id + '/',
        method: 'put',
        data: obj,
    });
}

export function DelObj(id: DelReq) {
    return request({
        url: apiPrefix + id + '/',
        method: 'delete',
        data: { id },
    });
}

export function getCardData(query: UserPageQuery) {
    return request({
        url: apiPrefix + "amount",
        method: 'GET',
        params: query
    })
}

export function getLineData(query: UserPageQuery) {
    return request({
        url: apiPrefix + "trend/daily",
        method: 'GET',
        params: query
    })
}

export function getLineWeekData(query: UserPageQuery) {
    return request({
        url: apiPrefix + "trend/weekly",
        method: 'GET',
        params: query
    })
}

export function getLineMonthData(query: UserPageQuery) {
    return request({
        url: apiPrefix + "trend/monthly",
        method: 'GET',
        params: query
    })
}

export function getAdStructureData(query: UserPageQuery) {
    return request({
        url: apiPrefix + "structure",
        method: 'GET',
        params: query
    })
}
